def find_path(a, b):
    path = []
    
    while True:
        if a == 0 or b == 0:
            return "no"
        
        if a == 1 and b == 1:
            break
        
        if a > b:
            path.append('R')
            a -= b
        else:
            path.append('L')
            b -= a

    # Путь будет в обратном порядке, так как мы строили его от дроби к корню
    return ''.join(reversed(path))

def main():
    a, b = map(int, input().split())
    
    # Проверка на возможность представления дроби
    if a <= 0 or b <= 0:
        print("no")
        return
    
    result = find_path(a, b)
    print(result)

if __name__ == "__main__":
    main()