'''n = int(input())
for x in range(n):
    cubepr = list(map(int, input().split()))
    cubesorting = sorted(cubepr)
    str1 = cubesorting[0] + cubesorting[5]
    str2 = cubesorting[1] + cubesorting[4]
    str3 = cubesorting[2] + cubesorting[3]
    if str1 == str2 and str1 == str3 and str2 == str3:
        print('yes')
    else:
        print('no')'''

'''firstnum = int(input())
secondnum = int(input())
x = max(firstnum, secondnum)
y = min(firstnum, secondnum)
multiple = firstnum * secondnum
summ = firstnum + secondnum
multiple = max(firstnum, secondnum)
summ = min(firstnum, secondnum)
print(multiple)
print(summ)'''

'''a = int(input())
b = int(input())
lunar_sum = max(a, b)
c = a+b
c = lunar_sum
lunar_product = min(a, b)
d = a*b
d = lunar_product
print(c, d)'''

'''def lunar_arithmetic(a, b):
    lunar_sum = max(a, b)
    lunar_product = min(a, b)
    return lunar_sum, lunar_product
try:
    a = int(input())
    b = int(input())
    result_sum, result_product = lunar_arithmetic(a, b)
    print(result_sum)
    print(result_product)
except ValueError:
    print()'''

'''from collections import deque, defaultdict


def bfs(start, max_distance, graph, n):
    visited = [False] * (n + 1)
    queue = deque([(start, 0)])  # (текущий склад, текущая дистанция)
    visited[start] = True
    protected_stores = set()

    while queue:
        current, distance = queue.popleft()
        protected_stores.add(current)

        if distance < max_distance:
            for neighbor in graph[current]:
                if not visited[neighbor]:
                    visited[neighbor] = True
                    queue.append((neighbor, distance + 1))

    return protected_stores


def main():
    n, m, k = map(int, input().split())

    # Построение графа
    graph = defaultdict(list)
    for _ in range(m):
        a, b = map(int, input().split())
        graph[a].append(b)
        graph[b].append(a)

    protected_stores = set()

    # Обработка охранников
    for _ in range(k):
        p, h = map(int, input().split())
        protected_stores.update(bfs(p, h, graph, n))

    # Вывод результата
    protected_stores = sorted(protected_stores)
    print(len(protected_stores))
    if protected_stores:
        print(" ".join(map(str, protected_stores)))
    else:
        print()


if __name__ == "__main__":
    main()'''


def calculate_distance(p1, p2):
    return abs(p1[0] - p2[0]) + abs(p1[1] - p2[1])


def tsp_dp(points):
    n = len(points)
    # Создаем матрицу расстояний
    dist = [[0] * n for _ in range(n)]
    for i in range(n):
        for j in range(n):
            dist[i][j] = calculate_distance(points[i], points[j])

    # Инициализация DP массива
    dp = [[float('inf')] * n for _ in range(1 << n)]
    dp[1][0] = 0  # Начинаем с первого пункта (индекс 0)

    # Заполнение DP массива
    for mask in range(1 << n):
        for u in range(n):
            if mask & (1 << u):  # Если u в маске
                for v in range(n):
                    if not (mask & (1 << v)):  # Если v не в маске
                        new_mask = mask | (1 << v)
                        dp[new_mask][v] = min(dp[new_mask][v], dp[mask][u] + dist[u][v])

    # Получаем минимальный путь, возвращаясь в начальную точку
    min_path = float('inf')
    final_mask = (1 << n) - 1
    for u in range(1, n):
        min_path = min(min_path, dp[final_mask][u] + dist[u][0])

    return min_path


def main():
    n = int(input())
    points = [tuple(map(int, input().split())) for _ in range(n)]

    result = tsp_dp(points)
    print(f"{result:.6f}")


if __name__ == "__main__":
    main()